# JS Guide

## zh-CN

### main.js基本结构

```javascript
module.exports = {
    setup: function (){

    },
    loop: function (){

    },
    cleanup: function (){

    }
}
```

### JS API Reference

每个内置Rt包的API参考参见各`Rt.<RtName>.<Locale>.md`.

#### module

对全局对象的引用。

#### lsrt() -> string[]

返回一个字符串列表，列出所有注册的Rt实例的名称。

## en-US

### Basic main.js structure

```javascript
module.exports = {
    setup: function (){

    },
    loop: function (){

    },
    cleanup: function (){

    }
}
```

### JS API Reference


For each Rt Package, See `Rt.<RtName>.<Locale>.md`.

#### module

A reference to global object.

#### lsrt()

return name list of registed Rt package.


